//+------------------------------------------------------------------+
//|                                                           xp.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

//+------------------------------------------------------------------+
#define MODE_DEMA    4
#define MODE_TEMA    5
#define MODE_T3MA    6
#define MODE_JMA     7
#define MODE_HMA     8
#define MODE_DECEMA  9
#define MODE_SALT    10
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
extern   int      MA_Period               = 34;
extern   int      MA_Type                 = MODE_T3MA;
extern   int      MA_Applied              = PRICE_CLOSE;
extern   double   T3MA_VolumeFactor       = 0.8;
extern   double   JMA_Phase               = 0.0;
extern   int      Step_Period             = 4;
extern   int      BarsCount               = 100;
extern   bool     Alert_On                = false;
extern   bool     Arrows_On               = true;
extern   bool     Email_On                = false;
extern   bool     DebugMode               = false;
//+------------------------------------------------------------------+
extern double    LotSize=0.01;
extern double    StopLoss=15.0;
extern double    TakeProfit=20.0;
extern int       iMaxOrders=10;
extern int       Slippage=5;
extern int       MagicNumber=814;
extern double    Value_Diff= 0.01;
extern int       Fast_SMA_Value=10;
extern int       Slow_EMA_Value=20;
extern double    BreakEvenSL   =1;
extern double    BreakEven= 5.0;
extern double    TrailingStart=10.0;
extern double    TrailingStop=4.0;
extern double    TrailingStep=5.0;

double dPip;
double dStopLossPrice, dTakeProfitPrice;
int BuyOrder;
int SellOrder;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
if(Digits==3){
	dPip = 0.01;
}else{
	dPip = 0.0001;
}

return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
Comment("");
return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
double  signal = iCustom(NULL,0,"xpMA",MA_Period,MA_Type,MA_Applied ,T3MA_VolumeFactor,JMA_Phase,Step_Period,DebugMode,3,0);
   
   bool BuyCondition = false , SellCondition = false , CloseBuyCondition = false , CloseSellCondition = false; 
   
   if (signal==1)
       BuyCondition = true;
       
   if (signal==-1)
      SellCondition = true;
      
 if(BuyCondition)
{
double OpenPrice=Ask;

		
		dStopLossPrice = NormalizeDouble(OpenPrice - StopLoss * dPip,Digits);
		dTakeProfitPrice = NormalizeDouble(OpenPrice + TakeProfit * dPip,Digits);
		

		BuyOrder=OrderSend(Symbol() , 0 , LotSize,OpenPrice,Slippage ,dStopLossPrice ,dTakeProfitPrice , "Buy Order",MagicNumber , 0,Blue);
		
		
		 if(BuyOrder>0) 
		 {
		 Print("The Buy order was opened");
		 }
		}
	
if(SellCondition)
{
	OpenPrice=Bid;
		
		dStopLossPrice = NormalizeDouble(OpenPrice + StopLoss * dPip,Digits);
		dTakeProfitPrice = NormalizeDouble(OpenPrice - TakeProfit * dPip,Digits);

		SellOrder=OrderSend(Symbol() ,1 , LotSize,OpenPrice,Slippage ,dStopLossPrice ,dTakeProfitPrice , "Sell Order",MagicNumber , 0,Red);
		
		
		if(SellOrder>0) 
		{		      
		 Print("Sell Order was Opened");
		}
	}	 
   return(0);
  }
//+------------------------------------------------------------------+